Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# POA_CORBA_Policy Class Reference

`#include <PolicyS.h>`

Inheritance diagram for POA_CORBA_Policy

[legend]
Collaboration diagram for POA_CORBA_Policy:

[legend]
List of all members.

## Public Methods
| POA_CORBA_Policy (const POA_CORBA_Policy& rhs)
virtual | ~POA_CORBA_Policy (void)
virtual CORBA::Boolean | _is_a ( const char* logical_type_id, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual void* | _downcast ( const char* logical_type_id )
virtual void | _dispatch ( TAO_ServerRequest &req, void *_servant_upcall, CORBA::Environment &ACE_TRY_ENV )
::CORBA::Policy* | _this ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual const char* | _interface_repository_id (void) const
virtual CORBA::PolicyType | policy_type ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException )
virtual CORBA::Policy_ptr | copy ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException )
virtual void | destroy ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException )
## Static Public Methods
void | _is_a_skel ( TAO_ServerRequest &req, void *obj, void *servant_upcall, CORBA::Environment &ACE_TRY_ENV )
void | _non_existent_skel ( TAO_ServerRequest &req, void *obj, void *servant_upcall, CORBA::Environment &ACE_TRY_ENV )
void | _interface_skel ( TAO_ServerRequest &req, void *obj, void *servant_upcall, CORBA::Environment &ACE_TRY_ENV )
void | _get_policy_type_skel ( TAO_ServerRequest &_tao_req, void *_tao_obj, void *_tao_servant_upcall, CORBA::Environment &ACE_TRY_ENV )
void | copy_skel ( TAO_ServerRequest &_tao_req, void *_tao_obj, void *_tao_servant_upcall, CORBA::Environment &ACE_TRY_ENV )
void | destroy_skel ( TAO_ServerRequest &_tao_req, void *_tao_obj, void *_tao_servant_upcall, CORBA::Environment &ACE_TRY_ENV )
## Protected Methods
| POA_CORBA_Policy (void)

## Constructor & Destructor Documentation

POA_CORBA_Policy::POA_CORBA_Policy ( | void )`[protected]`

POA_CORBA_Policy::POA_CORBA_Policy ( | const POA_CORBA_Policy & rhs )

POA_CORBA_Policy::~POA_CORBA_Policy ( | void )`[virtual]`

## Member Function Documentation

void POA_CORBA_Policy::_dispatch ( | TAO_ServerRequest & req,
| void * servant_upcall,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void * POA_CORBA_Policy::_downcast ( | const char * logical_type_id )`[virtual]`

void POA_CORBA_Policy::_get_policy_type_skel ( | TAO_ServerRequest & _tao_server_request,
| void * _tao_object_reference,
| void * _tao_servant_upcall,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

const char * POA_CORBA_Policy::_interface_repository_id ( | void ) const`[virtual]`

void POA_CORBA_Policy::_interface_skel ( | TAO_ServerRequest & _tao_server_request,
| void * _tao_object_reference,
| void * servant_upcall,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

CORBA::Boolean POA_CORBA_Policy::_is_a ( | const char * value,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

void POA_CORBA_Policy::_is_a_skel ( | TAO_ServerRequest & _tao_server_request,
| void * _tao_object_reference,
| void * servant_upcall,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

void POA_CORBA_Policy::_non_existent_skel ( | TAO_ServerRequest & _tao_server_request,
| void * _tao_object_reference,
| void * servant_upcall,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

::CORBA::Policy* POA_CORBA_Policy::_this ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

virtual CORBA::Policy_ptr POA_CORBA_Policy::copy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[pure virtual]`

void POA_CORBA_Policy::copy_skel ( | TAO_ServerRequest & _tao_server_request,
| void * _tao_object_reference,
| void * _tao_servant_upcall,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

virtual void POA_CORBA_Policy::destroy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[pure virtual]`

void POA_CORBA_Policy::destroy_skel ( | TAO_ServerRequest & _tao_server_request,
| void * _tao_object_reference,
| void * _tao_servant_upcall,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

virtual CORBA::PolicyType POA_CORBA_Policy::policy_type ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[pure virtual]`

The documentation for this class was generated from the following files:

- PolicyS.h
- PolicyS.cpp